<div class="wrap">
	
	<h2 id="ico-theme-options"><?php _e('Cusina di Casa Theme Settings', THEME_DOMAIN)?></h2>
	<br/>
	<ul id="options-tab">
		<li id="general" class="tab active"><?php _e('General', THEME_DOMAIN)?></li>
		<li id="logofavicon" class="tab"><?php _e('Logo and Favicon', THEME_DOMAIN)?></li>
		<li id="twittersetting" class="tab"><?php _e('Twitter Feed', THEME_DOMAIN)?></li>
		<li id="socialmediashare" class="tab"><?php _e('Social Media Share', THEME_DOMAIN)?></li>
		<li id="slider" class="tab"><?php _e('Slider', THEME_DOMAIN)?></li>
		<li id="contacts" class="tab"><?php _e('Contacts Setting', THEME_DOMAIN)?></li>
    <li id="miscellaneous" class="tab"><?php _e('Miscellaneous', THEME_DOMAIN)?></li>
	</ul>
	<div id="optionscontainer">
		<form method="post">
			<!-- General Settings -->
			<div id="opt-general" class="block active">
				<h3><?php _e('Style Options', THEME_DOMAIN)?></h3>
				<div class="option">
					
					<?php foreach($styles as $style): ?>
						<div class="theme-style-holder">
							<?php $checked = (isset($options['theme_style']) && $options['theme_style'] == $style) ? 'checked' : ''?>
							<img width="120" height="143" src="<?php echo get_style_thumbnail($style);?>" />
							<input type="radio" name="option[theme_style]" value="<?php echo $style?>" <?php echo $checked?> class="theme-selector">
						</div>
					<?php endforeach?>
				 </div>
				 <div id="custom-options" <?php if($selected_style == 'custom') echo 'class="visible"'?>>
					<h3><?php _e('Navigation', THEME_DOMAIN)?></h3>
					<div class="option">
						<label><?php _e('Background', THEME_DOMAIN)?></label>
						<?php $nav_bgcolor = (isset($options['nav_bgcolor'])) ? $options['nav_bgcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $nav_bgcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[nav_bgcolor]" value="<?php echo $nav_bgcolor?>" />
				  	</div>
					<div class="option">
						<label><?php _e('Hover', THEME_DOMAIN)?></label>
						<?php $nav_hovercolor = (isset($options['nav_hovercolor'])) ? $options['nav_hovercolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $nav_hovercolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[nav_hovercolor]" value="<?php echo $nav_hovercolor?>" />
					</div>
					<div class="option">
						<label><?php _e('Text', THEME_DOMAIN)?></label>
						<?php $nav_txtcolor = (isset($options['nav_txtcolor'])) ? $options['nav_txtcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $nav_txtcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[nav_txtcolor]" value="<?php echo $nav_txtcolor?>" />
					</div>
					<h3><?php _e('Body', THEME_DOMAIN)?></h3>
					<div class="option">
						<label><?php _e('Links', THEME_DOMAIN)?></label>
						<?php $link_color = (isset($options['link_color'])) ? $options['link_color'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $link_color?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[link_color]" value="<?php echo $link_color?>" />
					</div>
					<div class="option">
						<label><?php _e('Buttons', THEME_DOMAIN)?></label>
						<?php $button_bgcolor = (isset($options['button_bgcolor'])) ? $options['button_bgcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $button_bgcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[button_bgcolor]" value="<?php echo $button_bgcolor?>" />
					</div>
					<div class="option">
						<label><?php _e('Button hover', THEME_DOMAIN)?></label>
						<?php $button_hovercolor = (isset($options['button_hovercolor'])) ? $options['button_hovercolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $button_hovercolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[button_hovercolor]" value="<?php echo $button_hovercolor?>" />
					</div>
					<h3><?php _e('Footer', THEME_DOMAIN)?></h3>
					<div class="option">
						<label><?php _e('Background', THEME_DOMAIN)?></label>
						<?php $footer_bgcolor = (isset($options['footer_bgcolor'])) ? $options['footer_bgcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $footer_bgcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[footer_bgcolor]" value="<?php echo $footer_bgcolor?>" />
					</div>
					<div class="option">
						<label><?php _e('Text', THEME_DOMAIN)?></label>
						<?php $footer_txtcolor = (isset($options['footer_txtcolor'])) ? $options['footer_txtcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $footer_txtcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[footer_txtcolor]" value="<?php echo $footer_txtcolor?>" />
					</div>
					<div class="option">
						<label><?php _e('Widget Header Background', THEME_DOMAIN)?></label>
						<?php $widget_bgcolor = (isset($options['widget_bgcolor'])) ? $options['widget_bgcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $widget_bgcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[widget_bgcolor]" value="<?php echo $widget_bgcolor?>" />
					</div>
					<div class="option">
						<label><?php _e('Widget Header Text', THEME_DOMAIN)?></label>
						<?php $widget_txtcolor = (isset($options['widget_txtcolor'])) ? $options['widget_txtcolor'] : ''?>
						<div class="colorSelector"><div style="background-color:<?php echo $widget_txtcolor?>"></div></div>
						<input class="medium-text color-holder" type="text" name="option[widget_txtcolor]" value="<?php echo $widget_txtcolor?>" />
					</div>
				</div>
			</div>
			<!-- General Settings -->
			
			<!-- Logo and Favicon Settings -->
			<div id="opt-logofavicon" class="block">
				<h3><?php _e('Logo and Favicon', THEME_DOMAIN)?></h3>
				<p><?php _e('Click <strong>Upload</strong> or enter the path to your logo or favicon.', THEME_DOMAIN)?></p>
				<div class="option">
					<label><?php _e('Logo Image', THEME_DOMAIN)?></label>
					<input id="logo_url" class="upload_url" type="text" name="option[logo]" value="<?php echo (isset($options['logo'])) ? $options['logo'] : ''?>" />
					<div class="buttons">
						<input type='button' id="logo" class="upload_image" value="<?php _e('Upload', THEME_DOMAIN)?>" <?php if(!$options['logo']) echo 'style="display:inline-block"'?> />
						<input type='button' id="logo" class="remove_image" value="<?php echo __('Remove', THEME_DOMAIN)?>" <?php if($options['logo']) echo 'style="display:inline-block"'?> />
					</div>
					<div class="image-preview">
						<?php if($options['logo']):?>
							<img src="<?php echo $options['logo']?>" />
						<?php endif?>
					</div>	
				</div>
				<div class="option">
					<label><?php _e('Favicon', THEME_DOMAIN)?></label>
					<input id="favicon_url" class="upload_url" type="text" name="option[favicon]" value="<?php echo (isset($options['favicon'])) ? $options['favicon'] : ''?>" />
					<div class="buttons">
						<input type='button' id="favicon" class="upload_image" value="<?php _e('Upload', THEME_DOMAIN)?>" <?php if(!$options['favicon']) echo 'style="display:inline-block"'?> />
						<input type='button' id="favicon" class="remove_image" value="<?php echo __('Remove', THEME_DOMAIN)?>" <?php if($options['favicon']) echo 'style="display:inline-block"'?> />
					</div>
					<div class="image-preview">
						<?php if($options['favicon']):?>
							<img src="<?php echo $options['favicon']?>" />
						<?php endif?>
					</div>	
				</div>
			</div>
			<!-- Logo and Favicon Settings -->
      
			<!--Twitter Feed Setting-->
			<div id="opt-twittersetting" class="block">
                  <p>
                
                    <?php _e('Here you can set or edit the fields needed for the twitter feed.','nineteen02');?>
                
                  </p>
                
                  <p>
                
                    <?php _e('You can find these settings here: <a href="https://dev.twitter.com/apps" target="_blank">Twitter API</a>','nineteen02');?>
                
                  </p>
                 
                 
                
                    <table class="form-table">
                
                      <tr class="even" valign="top">
                
                          <td>
                              <?php _e('Twitter Screen(User) Name','nineteen02');?>
                          </td>
                  
                          <td>
                              <input type="text" id="nineteen02_consumer_screen_name" name="nineteen02_consumer_screen_name" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_consumer_screen_name')); ?>" />
                  
                          </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Consumer Key:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <input type="text" id="nineteen02_consumer_key" name="nineteen02_consumer_key" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_consumer_key')); ?>" />
                         </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Consumer Secret:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <input type="text" id="nineteen02_consumer_secret" name="nineteen02_consumer_secret" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_consumer_secret')); ?>" />
                
                       </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Access Token:','nineteen02');?>
                
                        </td>
                
                        <td>
                            <input type="text" id="nineteen02_access_token" name="nineteen02_access_token" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_access_token')); ?>" />
                        </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Access Token Secret:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <input type="text" id="nineteen02_access_token_secret" name="nineteen02_access_token_secret" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_access_token_secret')); ?>" />
                
                        </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Number Of Tweets:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <input type="text" id="nineteen02_display_number_of_tweets" name="nineteen02_display_number_of_tweets" class="regular-text" value="<?php echo esc_attr(get_option('nineteen02_display_number_of_tweets')); ?>" />
                
                        </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Display username:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <?php 
                
                						$nineteen02_yesno=array('Yes'=>'Yes','No'=>'No');
                
                						$nineteen02_display_username_current=esc_attr(get_option('nineteen02_display_username'));
                
                					?>
                
                          <select name="nineteen02_display_username" id="nineteen02_display_username">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_display_username_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                        </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Display avatars:','nineteen02');?>
                
                        </td>
                
                        <td>
                        <?php 
                
                						$nineteen02_show_image_current=esc_attr(get_option('nineteen02_show_image'));
                
                					?>
                
                          <select name="nineteen02_show_image" id="nineteen02_show_image">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_show_image_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                        </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Display timestamps:','nineteen02');?>
                
                        </td>
                
                        <td>
                        <?php 
                
                						$nineteen02_display_timestamps_current=esc_attr(get_option('nineteen02_display_timestamps'));
                
                					?>
                
                          <select name="nineteen02_display_timestamps" id="nineteen02_display_timestamps">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_display_timestamps_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                        </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                         <td>
                
                            <?php _e('Reply link:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <?php 
                
                						$nineteen02_reply_link_current=esc_attr(get_option('nineteen02_reply_link'));
                
                					?>
                
                          <select name="nineteen02_reply_link" id="nineteen02_reply_link">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_reply_link_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                          </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Retweet link:','nineteen02');?>
                
                       </td>
                
                        <td>
                        <?php 
                
                						$nineteen02_retweet_link_current=esc_attr(get_option('nineteen02_retweet_link'));
                
                					?>
                
                          <select name="nineteen02_retweet_link" id="nineteen02_retweet_link">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_retweet_link_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                      </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Favorite link:','nineteen02');?>
                
                         </td>
                
                        <td>
                          <?php 
                
                						$nineteen02_favorite_link_current=esc_attr(get_option('nineteen02_favorite_link'));
                
                					?>
                
                          <select name="nineteen02_favorite_link" id="nineteen02_favorite_link">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $nineteen02_favorite_link_current);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                       </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                        <td>
                
                            <?php _e('Show "Follow @username" links:','nineteen02');?>
                
                          </td>
                
                        <td>
                        <?php 
                
                						$nineteen02_follow_link_current=esc_attr(get_option('nineteen02_follow_button'));
                
                					?>
                
                          <select name="nineteen02_follow_button" id="nineteen02_follow_button">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_fk=>$nineteen02_fv){?>
                
                            <option value="<?php echo $nineteen02_fk; ?>" <?php selected( $nineteen02_v, $nineteen02_follow_link_current);?> ><?php echo $nineteen02_fv; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                          </td>
                
                      </tr>
                
                      
                
                    </table>
			</div>
			<!--END OF Twitter Feed Setting-->
			
			<!--START OF Socialmedia Share Setting-->
			<div id="opt-socialmediashare" class="block">
			     <h4>Socialmedia Share Setting</h4>
			     <p>This will be displayed only on News Archive and News Single Page</p>
			     <table>
              <tr class="even" valign="top">
                
                        <td style="padding-right:20px;">
                
                            <?php _e('Enable Facebook Like:','nineteen02');?>
                
                        </td>
                
                        <td>
                        <?php 
                            $nineteen02_yesno = array('Yes'=>'Yes','No'=>'No');
                            
                						$enable_facebook_like = esc_attr(get_option('enable_facebook_like'));
                
                					?>
                
                          <select name="enable_facebook_like" id="enable_facebook_like">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $enable_facebook_like);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                        </td>
                
                      </tr>
                
                      <tr class="odd" valign="top">
                
                         <td>
                
                            <?php _e('Enable Twitter button:','nineteen02');?>
                
                        </td>
                
                        <td>
                          <?php 
                
                						$enable_twitter_button = esc_attr(get_option('enable_twitter_button'));
                
                					?>
                
                          <select name="enable_twitter_button" id="enable_twitter_button">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $enable_twitter_button);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                          </td>
                
                      </tr>
                
                      <tr class="even" valign="top">
                
                        <td>
                
                            <?php _e('Enable gplus button:','nineteen02');?>
                
                       </td>
                
                        <td>
                        <?php 
                
                						$enable_gplus_button =esc_attr(get_option('enable_gplus_button'));
                
                					?>
                
                          <select name="enable_gplus_button" id="enable_gplus_button">
                
                            <?php foreach($nineteen02_yesno as $nineteen02_k=>$nineteen02_v){?>
                
                            <option value="<?php echo $nineteen02_k; ?>" <?php selected( $nineteen02_v, $enable_gplus_button);?> ><?php echo $nineteen02_v; ?></option>
                
                            <?php } ?>
                
                          </select>
                
                      </td>
                
                      </tr>
                      <tr class="odd" valign="top">
                          <td valign="top"><?php _e('Select to display buttons','nineteen02');?></td>
                          <td>
                              <?php 
                  						    $displaybuttons = esc_attr(get_option('displaybuttons'));
                  						    $display_social_button = esc_attr(get_option('display_social_button'));
                                  $display_social_button_array = explode(',',str_replace(' ', '',$display_social_button));
                                
                  					  ?>
                  					       <input type="hidden" name="displaybuttons" value="">
                              <?php
                                  $checked = '';
                                  $post_types = get_post_types( array( 'public' => true), 'names', 'and' );
						                      $post_types = array_filter( $post_types, 'nineteen02_slider_exclude_post_types' );
                                  foreach ( $post_types as $post_type ) {
                                     if(in_array($post_type,$display_social_button_array))
                                              $checked='checked="checked"';
                                            else
                                      $checked='';
                                      echo '<div class="input-box"><input type="checkbox" name="display_social_button[]" value="'.$post_type.'" '.$checked.'>&nbsp;&nbsp;' . $post_type . '</></div>';
                                        
                                  }
                              ?>
                          </td>
                      </tr>
                
           </table>
			</div>
		 <!--END OF Socialmedia Share Setting-->
			
			<!--START OF Slider Setting-->
			<div id="opt-slider" class="block">
			   <table>
			     <tr>
			         <td colspan="2"><strong>Type of content</strong></td>
			     </tr>
			     <tr>
			         <td>Choose Post Type to include</td>
			         <td>
			             <select id="slider_display_post" name="option[slider_display_post]">
                      <?php 
                      $slider_display_post =  $options['slider_display_post']; 
                     
                      $post_types = get_post_types( array( 'public' => true), 'names', 'and' );
						          $post_types = array_filter( $post_types, 'nineteen02_slider_exclude_post_types' );
                      foreach ( $post_types as $post_type => $post_type_v ) { ?>
                        <option style="padding-right:10px;" value="<?php echo esc_attr( $post_type ); ?>" <?php selected( $post_type_v, $slider_display_post);?>><?php echo esc_attr( $post_type ); ?></option>
                      <?php } ?>
                  </select>
                          
               </td>
			     </tr>
			     <tr>
			         <td colspan="2"><br /><strong>By Taxonomy and Terms</strong></td>
			     </tr>
			     <tr>
			         <td>Choose Category to include
                  <?php
                      $slider_include_category = $options['slider_include_category'];
                      //echo 'selected category:' . $slider_include_category;
                   ?>
               </td>
			         <td>
			             
			             <select id="slider_include_category" name="option[slider_include_category]" style="margin-top: 5px;">
              					<option style="padding-right:10px;" value="allcatterms" <?php if($slider_include_category=='allcatterms') echo 'selected="selected"'; ?>><?php _e( 'All Taxonomies and Terms', 'nineteen02' ); ?></option>
              			<?php
                          $taxonomies = get_taxonomies( array( 'public' => true ), 'objects' );
              						$taxonomies = array_filter( $taxonomies, 'nineteen02_slider_exclude_taxonomies' );
              						
              						foreach ( $taxonomies as $taxonomy ) { ?>
              								<optgroup label="<?php echo esc_attr( $taxonomy->labels->name ); ?>">
              									<option style="margin-left: 5px; padding-right:10px;" value="allcat" <?php if($slider_include_category=='allcat') echo 'selected="selected"'; ?>><?php echo $taxonomy->labels->all_items; ?></option><?php
                								$terms = get_terms( $taxonomy->name, 'orderby=name&hide_empty=1' );
                								foreach ( $terms as $term ) { ?>
              									   <option style="margin-left: 8px; padding-right:10px;" value="<?php echo $term->term_id;?>" <?php if($slider_include_category==$term->term_id) echo 'selected="selected"'; ?>><?php echo '-' . esc_attr( $term->name ); ?></option>
                                <?php } ?>
              								</optgroup> 
                          <?php } ?>
              		</select>
               </td>
			     </tr>
			     <tr>
			         <td colspan="2"><br /><strong>Include or Exclude by Taxonomy ID</strong></td>
			     </tr>
			     <tr>
			         <td>List which category, tag or other taxonomy IDs to exclude. (1,2,3,4 for example)</td>
			         <td><input type="text" value="<?php echo (isset($options['slider_include_exclude_terms'])) ? $options['slider_include_exclude_terms'] : ''?>" name="option[slider_include_exclude_terms]"/></td>
			     </tr>
			     <tr>
			         <td colspan="2"><br /><strong>Include or Exclude by page ID / post ID</strong></td>
			     </tr>
			      <tr>
			         <td>List which category, tag or other taxonomy IDs to exclude. (1,2,3,4 for example)
                    <?php
                      $slider_include_exclude_post = $options['slider_include_exclude_post'];
                      $slider_include_exclude_post_array = explode(',',str_replace(' ', '',$slider_include_exclude_post));
                      echo $slider_include_exclude_post_array;
                    ?>
               
               </td>
			         <td><input type="text" value="<?php echo (isset($options['slider_include_exclude_post'])) ? $options['slider_include_exclude_post'] : ''?>" name="option[slider_include_exclude_post]" /></td>
			     </tr>
			     <tr>
			         <td>Select if above list Taxonomy ID and Post/Page ID will be excluded or inlcuded</td>
			         <td>
            
                        <?php 
                        
                            $nineteen02_inc_exl = array('Include'=>'Include','Exclude'=>'Exclude');
                            $slider_inc_exl_tax_post = $options['slider_inc_exl_tax_post'];
                					?>
                
                          <select name="option[slider_inc_exl_tax_post]" id="inc_exl_tax_post">
                
                            <?php foreach($nineteen02_inc_exl as $inc_exl_k => $inc_exl_v){?>
                
                            <option value="<?php echo $inc_exl_k; ?>" <?php selected( $inc_exl_v, $slider_inc_exl_tax_post);?> ><?php echo $inc_exl_v; ?></option>
                
                            <?php } ?>
                
                          </select>
              </td>
			     </tr>
			     <tr>
			         <td>Number of Slides to Show</td>
			         <td><input class="input-small" id="slider_no_of_slides" type="text" value="<?php echo (isset($options['slider_no_of_slides'])) ? $options['slider_no_of_slides'] : ''?>" name="option[slider_no_of_slides]" /></td>
			     </tr>
			     
			     <tr>
			         <td>Order by</td>
			         <td>
			   
                  <?php 
                      $nineteen02_orderby = array('Date'=>'Date','Title'=>'Title','Random'=>'Random', 'ID'=>'ID');
          						$slider_orderby = $options['slider_orderby'];
          						//echo $slider_orderby;
          					?>
          
                    <select name="option[slider_orderby]" id="slider_orderby">
          
                      <?php foreach($nineteen02_orderby as $orderby_k=>$orderby_v){?>
          
                      <option value="<?php echo $orderby_k; ?>" <?php selected( $orderby_v, $slider_orderby);?> ><?php echo $orderby_v; ?></option>
          
                      <?php } ?>
          
                    </select>
               </td>
			     </tr>
			     <tr>
			         <td colspan="2"><br /><strong>Transition Settings</strong></td>
			     </tr>
			     <tr>
			         <td>Time Between Slides (in milliseconds)</td>
			         <td><input class="input-small" id="slider_speed" type="text" value="<?php echo (isset($options['slider_speed'])) ? $options['slider_speed'] : ''?>" name="option[slider_speed]" /></td>
			     </tr>
			     <tr>
			         <td>Slider Effect</td>
			         <td>
			   
                  <?php 
                      $nineteen02_effects = array('Slide'=>'Slide','Fade'=>'Fade');
                      $slider_effect = $options['slider_effect'];
          
          					?>
          
                    <select name="option[slider_effect]" id="slider_effect">
          
                      <?php foreach($nineteen02_effects as $effect_k=>$effect_v){?>
          
                      <option value="<?php echo $effect_k; ?>" <?php selected( $effect_v, $slider_effect);?> ><?php echo $effect_v; ?></option>
          
                      <?php } ?>
          
                    </select>
               </td>
			     </tr>
			     <tr>
			         <td colspan="2"><br /><strong>Display Settings</strong></div>
			     </tr>
			     <tr>
			         <td>Maximum Slider Width (in pixels)</td>
			         <td><input class="input-small" id="slider_max_width" type="text" value="<?php echo (isset($options['slider_max_width'])) ? $options['slider_max_width'] : ''?>" name="option[slider_max_width]" /></td>
			     </tr>
			      <tr>
			         <td>Maximum Slider Height (in pixels)</td>
			         <td><input id="slider_max_height" type="text" value="<?php echo (isset($options['slider_max_height'])) ? $options['slider_max_height'] : ''?>" name="option[slider_max_height]" /></td>
			     </tr>
			    
           <tr style="display:none;">
			         <td>Display Next / Previous Arrows in Slider? 
                  <?php 
                    $slider_display_arrow = isset($options['slider_display_arrow']);
                    $is_slider_display_arrow_checked = ($slider_display_arrow == 1) ? 'checked' : '';
                  ?>
               </td>
			         <td><input id="slider_display_arrow" type="checkbox" value="true" name="option[slider_display_arrow]" <?php echo $is_slider_display_arrow_checked;?>/></td>
			     </tr>
			     
			     <tr>
			         <td>Display Pagination in Slider? 
                  <?php 
                    $slider_display_pagination = isset($options['slider_display_pagination']) ? $options['slider_display_pagination'] : '';
                    $is_slider_display_pagination_checked = ($slider_display_pagination == 1) ? 'checked' : '';
                    echo $slider_display_pagination;
                  ?>
               </td>
			         <td><input id="slider_display_pagination" type="checkbox" value="1" name="option[slider_display_pagination]" <?php echo $is_slider_display_pagination_checked;?>/></td>
			     </tr>
			     
           <tr>
			         <td colspan="2"><br /><strong>Content Setting</strong></div>
			     </tr>
			     <tr>
			         <td>Link Slider image to Post/Page
                  <?php 
                    $slider_image_link = isset($options['slider_image_link']) ? $options['slider_image_link'] : '';
                    $is_slider_image_link_checked = ($slider_image_link == 1) ? 'checked' : '';
                   // echo $slider_image_link;
                  ?>
               </td>
			         <td><input id="slider_image_link" type="checkbox" value="1" name="option[slider_image_link]" <?php echo $is_slider_image_link_checked;?>/></td>
			     </tr>
			     <tr>
			         <td>Display Post/Page Title in Slider?
                   <?php 
                      $slider_display_title = isset($options['slider_display_title']) ? $options['slider_display_title'] : '';
                      $is_slider_display_title_checked = ($slider_display_title == 1) ? 'checked' : '';
                    ?>
               </td>
			         <td><input id="slider_display_title" type="checkbox" value="1" name="option[slider_display_title]" <?php echo $is_slider_display_title_checked;?>/></td>
			     </tr>
			     <tr>
			         <td>Display Content in Slider?
                   <?php 
                      $slider_display_content = isset($options['slider_display_content']) ? $options['slider_display_content'] : '';
                      $is_slider_display_content_checked = ($slider_display_content == 1) ? 'checked' : '';
                    ?>
               </td>
			         <td><input id="slider_display_content" type="checkbox" value="1" name="option[slider_display_content]" <?php echo $is_slider_display_content_checked;?>/></td>
			     </tr>
			     <tr>
			         <td>Hide Title & Content on Mobile Devices
                   <?php 
                      $slider_hide_title_content = isset($options['slider_hide_title_content']) ? $options['slider_hide_title_content'] : '';
                      $is_slider_hide_title_content_checked = ($slider_hide_title_content == 1) ? 'checked' : '';
                      //echo $slider_hide_title_content;
                    ?>
               </td>
			         <td><input id="slider_hide_title_content" type="checkbox" value="1" name="option[slider_hide_title_content]" <?php echo $is_slider_hide_title_content_checked;?> /></td>
			     </tr>
           <tr>
			         <td>Select Type of content</td>
			         <td>
			   
                  <?php 
                      $slider_display_type_contents = array('Content'=>'Content','Excerpt'=>'Excerpt');
          						$slider_display_type_content = $options['slider_display_type_content'];
                      //echo $slider_display_type_content;
          					?>
          
                    <select name="option[slider_display_type_content]" id="slider_display_type_content">
          
                      <?php foreach($slider_display_type_contents as $type_k=>$type_k_v){?>
          
                      <option value="<?php echo $type_k; ?>" <?php selected( $type_k_v, $slider_display_type_content);?> ><?php echo $type_k_v; ?></option>
          
                      <?php } ?>
          
                    </select>
               </td>
			     </tr>
			     <tr>
			         <td>More Text (if applicable):</td>
			         <td><input id="slider_more_text" type="text" value="<?php echo (isset($options['slider_more_text'])) ? $options['slider_more_text'] : ''?>" name="option[slider_more_text]" /></td>
			     </tr>
            <tr>
			         <td>Limit content to</td>
			         <td><input class="input-small" id="slider_limit_content" type="text" value="<?php echo (isset($options['slider_limit_content'])) ? $options['slider_limit_content'] : ''?>" name="option[slider_limit_content]" />&nbsp;characters</td>
			     </tr>
			     <tr><td colspan="2" style="font-style:italic;">This option will limit the text and strip all formatting from the text displayed.</td></tr>
			     
			   </table>
			</div>
			<!--END OF Slider Setting-->
			
			<div id="opt-contacts" class="block">
			     <p><?php _e('Settings will be applied on Contact List at About us page ', THEME_DOMAIN)?></p>
			     <table>
			       <tr>
			          <td><?php _e('Contact List Header', THEME_DOMAIN)?></td>
			          <td><input id="contactlist_header" type="text" name="option[contactlist_header]" value="<?php echo (isset($options['contactlist_header'])) ? $options['contactlist_header'] : ''?>" /></td>
			       </tr>
			       <tr>
			          <td><?php _e('Use Rounded Image', THEME_DOMAIN)?></td>
			          <td>
                <?php 
                    $use_rounded_image_yesno = array('Yes'=>'Yes','No'=>'No');
                    
        						$use_rounded_image =  $options['use_rounded_image'];
        
        					?>
        
                  <select name="option[use_rounded_image]" id="use_rounded_image">
        
                    <?php foreach($use_rounded_image_yesno as $use_rounded_image_k=>$use_rounded_image_v){?>
        
                    <option value="<?php echo $use_rounded_image_k; ?>" <?php selected( $use_rounded_image_v, $use_rounded_image);?> ><?php echo $use_rounded_image_v; ?></option>
        
                    <?php } ?>
        
                  </select>
       
                </td>
			       </tr>
			     </table>
			</div>
			<!-- BEGIN Miscellaneous Settings -->
			<div id="opt-miscellaneous" class="block">
				<h3><?php _e('Miscellaneous', THEME_DOMAIN)?></h3>
				<p><?php _e('Enter details here based on your miscellaneous.', THEME_DOMAIN)?></p>
				<div class="option">
					<label><?php _e('Company Name', THEME_DOMAIN)?></label>
					<input id="misc_coyname" class="misc_input_style" type="text" name="option[misc_coyname]" value="<?php echo (isset($options['misc_coyname'])) ? $options['misc_coyname'] : ''?>" />
				</div>
				<div class="option">
					<label><?php _e('Address', THEME_DOMAIN)?></label>
					<textarea id="misc_address" class="misc_textarea_style" name="option[misc_address]" ><?php echo (isset($options['misc_address'])) ? $options['misc_address'] : '';?></textarea>
				</div>
				<div class="option">
					<label><?php _e('Telephone', THEME_DOMAIN)?></label>
					<input id="misc_telephone" class="misc_input_style" type="text" name="option[misc_telephone]" value="<?php echo (isset($options['misc_telephone'])) ? $options['misc_telephone'] : ''?>" />
				</div>
                                <div class="option">
					<label><?php _e('Fax No.', THEME_DOMAIN)?></label>
					<input id="misc_fax" class="misc_input_style" type="text" name="option[misc_fax]" value="<?php echo (isset($options['misc_fax'])) ? $options['misc_fax'] : ''?>" />
				</div>
                                <div class="option">
					<label><?php _e('Email', THEME_DOMAIN)?></label>
					<input id="misc_email" class="misc_input_style" type="text" name="option[misc_email]" value="<?php echo (isset($options['misc_email'])) ? $options['misc_email'] : ''?>" />
				</div>
                                <div class="option">
					<label><?php _e('Site URL', THEME_DOMAIN)?></label>
					<input id="misc_url" class="misc_input_style" type="text" name="option[misc_url]" value="<?php echo (isset($options['misc_url'])) ? $options['misc_url'] : ''?>" />
				</div>
                                <div class="option">
					<label><?php _e('Map', THEME_DOMAIN)?></label>
                                        <textarea id="nineteen02_misc_map" class="misc_textarea_map_style" name="nineteen02_misc_map" ><?php echo esc_attr(get_option('nineteen02_misc_map')); ?></textarea>
				</div>
			</div>  
			<!-- END Miscellaneous Settings -->
			
			
			<div id="buttonholder">
				<input type="submit" value="<?php _e('Save Options', THEME_DOMAIN) ?>" name="save_option" class="button-primary">
			</div>
		</form>
	</div>
</div>