<?php
require_once dirname( __FILE__ ) . '/theme-functions.php';
define('OPTIONS_ADMIN_DIRECTORY', dirname( __FILE__ ) . '/');
define('OPTIONS_ADMIN_URL', get_template_directory_uri() . '/admin/');

add_action('init', 'add_wptheme03_options');

function add_wptheme03_options()
{
	add_action('admin_menu', 'add_wptheme03_menu');
	add_action('admin_enqueue_scripts', 'enqueue_theme_option_scripts');
	add_action('customize_register', 'mytheme_customize_register');
	add_action('customize_preview_init', 'live_preview');
	add_action('customize_controls_print_scripts', 'customizer_scripts');
	add_filter('body_class', 'add_theme_style_class');
	//add_action( 'admin_menu', 'add_admin_menus');
}

function add_wptheme03_menu()
{
	add_menu_page(__('Cucina Di Casa', 'nineteenzerotwo'), __('Cucina Di Casa', THEME_DOMAIN), 'edit_theme_options', 'theme-options', 'wptheme03_options_page', OPTIONS_ADMIN_URL.'images/icon.png', 61 ); 

  add_submenu_page('theme-options', __('News & Updates', THEME_DOMAIN), __('News & Updates', THEME_DOMAIN), 'edit_posts', 'edit.php?post_type=news');
  add_submenu_page('theme-options', __('Product Line', THEME_DOMAIN), __('Product Line', THEME_DOMAIN), 'edit_posts', 'edit.php?post_type=product');
  add_submenu_page( 'theme-options', __('Product Categories', THEME_DOMAIN), __('Product Categories', THEME_DOMAIN), 'manage_options', 'edit-tags.php?taxonomy=product_category&post_type=product' );
  
  add_submenu_page('theme-options', __('Contacts', THEME_DOMAIN), __('Contacts', THEME_DOMAIN), 'edit_posts', 'edit.php?post_type=contacts');
  
  add_submenu_page('theme-options', __('Inquiries', THEME_DOMAIN), __('Inquiries', THEME_DOMAIN), 'edit_posts', 'edit.php?post_type=inquiries');
  
  add_submenu_page( 'theme-options', __('Import', THEME_DOMAIN), __('Import', THEME_DOMAIN), 'manage_options', 'import-theme-settings', 'import_theme_settings_page' );
	add_submenu_page( 'theme-options', __('Export', THEME_DOMAIN), __('Export', THEME_DOMAIN), 'manage_options', 'export-theme-settings', 'export_theme_settings_page' );
	
	add_submenu_page( 'theme-options', __('About us', THEME_DOMAIN), __('About us', THEME_DOMAIN), 'manage_options', 'about-theme-author', 'about_theme_author' );
}


function wptheme03_options_page()
{
	if(isset($_POST['save_option']))
	{
            update_option('wptheme03', $_POST['option']);
            
            if(isset($_POST['nineteen02_misc_map'])){
                
                $stripping_map = stripallslashes($_POST['nineteen02_misc_map']);
                
                update_option('nineteen02_misc_map', $stripping_map);  

            }
            
            /*Update Twitter Feed Setting*/
            update_option('nineteen02_consumer_screen_name', $_POST['nineteen02_consumer_screen_name']);	
            update_option('nineteen02_consumer_key', $_POST['nineteen02_consumer_key']);
            update_option('nineteen02_consumer_secret', $_POST['nineteen02_consumer_secret']);
            update_option('nineteen02_access_token', $_POST['nineteen02_access_token']);
            update_option('nineteen02_access_token_secret', $_POST['nineteen02_access_token_secret']);
            update_option('nineteen02_display_number_of_tweets', $_POST['nineteen02_display_number_of_tweets']);
            update_option('nineteen02_display_username', $_POST['nineteen02_display_username']);
            update_option('nineteen02_show_image', $_POST['nineteen02_show_image']);
            update_option('nineteen02_display_timestamps', $_POST['nineteen02_display_timestamps']);
            update_option('nineteen02_reply_link', $_POST['nineteen02_reply_link']);
            update_option('nineteen02_retweet_link', $_POST['nineteen02_retweet_link']);
            update_option('nineteen02_favorite_link', $_POST['nineteen02_favorite_link']);
            update_option('nineteen02_follow_button', $_POST['nineteen02_follow_button']);
            
            /*Update Socialmedia Share Setting*/
            update_option('enable_facebook_like', $_POST['enable_facebook_like']);
            update_option('enable_twitter_button', $_POST['enable_twitter_button']);
            update_option('enable_gplus_button', $_POST['enable_gplus_button']);
            
            if(isset($_POST['display_social_button']) && isset($_POST['displaybuttons'])){
                $display_social_buttons = $_POST['display_social_button'];
                $displaybuttons = $_POST['displaybuttons'];
                $displayselected = implode(", ", $display_social_buttons);
                update_option('display_social_button', $displayselected);
                update_option('displaybuttons', $displayselected);
            } else {
                 update_option('display_social_button', '');
                 update_option('displaybuttons', '');
            }

            
	}
	
	$options = get_option('wptheme03');
	foreach($options as $option=>$value)
	{
		if(is_array($value) && empty($value))
		{
			$options[$option] = '';
		}
	}
	$styles = get_styles_list();
	$selected_style = (isset($options['theme_style'])) ? $options['theme_style'] : '';
	
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/options.php');
}

function enqueue_theme_option_scripts($hook) 
{
	if(strpos($hook, 'theme-options') == true)
	{
		wp_enqueue_script('colorpicker-js', OPTIONS_ADMIN_URL . 'js/colorpicker.js' );
		wp_enqueue_script('options-js', OPTIONS_ADMIN_URL . 'js/options.js' );
		wp_enqueue_style('colorpicker-css', OPTIONS_ADMIN_URL . 'css/colorpicker.css' );
		wp_enqueue_style('options-css', OPTIONS_ADMIN_URL . 'css/options.css' );
		wp_enqueue_media();
	}
	
	wp_enqueue_script('admin-js', OPTIONS_ADMIN_URL . 'js/admin.js' );
	wp_enqueue_style('admin-css', OPTIONS_ADMIN_URL . 'css/admin.css' );
}

function mytheme_customize_register( $wp_customize ) {
	$options = get_option('wptheme03');
	
	$styles = get_styles_list();
	
	/* theme style */
	$wp_customize->add_section( 'wptheme03_general' , array(
	    'title'      => __( 'General', THEME_DOMAIN ),
	    'priority'   => 30,
	) );
	
	$wp_customize->add_setting( 'wptheme03[theme_style]', array(
		'type' 		=> 'option',
		'default'	=> ''
	) );
	
	$wp_customize->add_control( 'wptheme03[theme_style]', array(
		'label' => __('Theme Style', THEME_DOMAIN),
		'section' => 'wptheme03_general',
		'settings' => 'wptheme03[theme_style]',
		'type' => 'select',
		'choices' => $styles
	));
	
	$wp_customize->get_setting( 'wptheme03[theme_style]' )->transport = 'postMessage';
	
	/* styling options */
	$color_options = array(
						'nav_bgcolor' => __('Navigation Background', THEME_DOMAIN), 
						'nav_hovercolor' => __('Navigation Hover', THEME_DOMAIN), 
						'link_color' => __('Links', THEME_DOMAIN), 
						'button_bgcolor' => __('Buttons', THEME_DOMAIN), 
						'footer_bgcolor' => __('Footer Background', THEME_DOMAIN), 
						'footer_txtcolor' => __('Footer Text', THEME_DOMAIN), 
						'widget_bgcolor' => __('Footer Widget Header Background', THEME_DOMAIN), 
						'widget_txtcolor' => __('Footer Widget Header Text', THEME_DOMAIN)
					);
	
	$priority = 10;
	foreach($color_options as $index=>$label)
	{
		$priority++;
		$wp_customize->add_setting( 'wptheme03['.$index.']', 
			array(
				'type' => 'option', 
				'default' => '#2BA6CB', 
				//'capability' => 'edit_theme_options', 
				'transport' => 'postMessage'
			) 
		);
		
		$wp_customize->add_control( new WP_Customize_Color_Control(
			$wp_customize, 
			'wptheme03['.$index.']', 
			array(
				'label' => $label, 
				'section' => 'wptheme03_general', 
				'settings' => 'wptheme03['.$index.']', 
				'priority' => $priority
			) 
		));
	}

	/* logo */ 
	$wp_customize->add_section( 'wptheme03_logo' , array(
	    'title'      => __( 'Logo', THEME_DOMAIN ),
	    'priority'   => 31,
	) );
	
	$wp_customize->add_setting( 'wptheme03[logo]', array(
		'type' 		=> 'option',
		'default'	=> $options['logo']
	) );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
		'label' => __('Logo Image', THEME_DOMAIN),
		'section' => 'wptheme03_logo',
		'settings' => 'wptheme03[logo]'
	) ) );
	
	$wp_customize->get_setting( 'wptheme03[logo]' )->transport = 'postMessage';
}


function live_preview() {
	//wp_enqueue_script('wptheme03-themecustomizer', OPTIONS_ADMIN_URL . 'js/customizer.js', array(  'jquery', 'customize-preview' ), '', true);
	wp_enqueue_script( 
		  'wptheme03-themecustomizer',
		  OPTIONS_ADMIN_URL . 'js/customizer.js',
		  array( 'jquery','customize-preview' ),
		  '',
		  true
	);
}

function customizer_scripts()
{
	wp_enqueue_script( 
		  'wptheme03-customizer',
		  OPTIONS_ADMIN_URL . 'js/customizer-admin.js',
		  array( 'jquery' ),
		  '',
		  true
	);
}

function add_theme_style_class($classes)
{
	$options = get_option('wptheme03');
	
	if(isset($options['theme_style']))
	{
		$classes[] = $options['theme_style'];
	}
	
	return $classes;
}
//hooking data manually for map contacts
function hook_option($option_name){
    $option_base = get_option('wptheme03');
    
    $option_misc_map = get_option('nineteen02_misc_map');

    if($option_name == 'nineteen02_misc_map'){
        $get_map_str = $option_misc_map; 
        $strip_map = stripallslashes($get_map_str);
        
        echo $strip_map;        
    }else{
        echo $option_base[$option_name];
    }
    return $option_name;    
}

//string slashes all
function stripallslashes($string) { 
    while(strchr($string,'\\')) { 
        $string = stripslashes($string); 
    }
    return $string;
} 


//exclude post types in Slider Option  
function nineteen02_slider_exclude_post_types( $type ) {
	$filters = array( '', 'attachment' );
	$filters = apply_filters( 'nineteen02_slider_exclude_post_types', $filters );
	return ( ! in_array( $type, $filters ) );

}

//exclude taxonomy /terms in Slider Option 
function nineteen02_slider_exclude_taxonomies( $taxonomy ) {
	$filters = array( '','post_tag','nav_menu','post_format');
	$filters = apply_filters( 'nineteen02_slider_exclude_taxonomies', $filters );

	return ( ! in_array( $taxonomy->name, $filters ) );

}

/* get theme option value: wptheme03 */
function get_theme_option($option)
{
	$option_value = null;
	
	$theme_option = get_option('wptheme03');
	
	if(isset($theme_option[$option]))
	{
		$option_value = $theme_option[$option];
	}
	
	return $option_value;
}


/*About Theme Author*/
function about_theme_author()
{
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/about-theme-author.phtml');
}

/*About Theme Author*/
function contactus_theme_options()
{
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/contactus_theme_options.phtml');
}

/**
 * 
 * Import/Export Facility
 */
function add_admin_menus()
{
	add_submenu_page( 'theme-options', __('Import', THEME_DOMAIN), __('Import', THEME_DOMAIN), 'manage_options', 'import-theme-settings', 'import_theme_settings_page' );
	add_submenu_page( 'theme-options', __('Export', THEME_DOMAIN), __('Export', THEME_DOMAIN), 'manage_options', 'export-theme-settings', 'export_theme_settings_page' );
	//add_submenu_page( 'theme-options', __('Install Sample Data', THEME_DOMAIN), __('Install Sample Data', THEME_DOMAIN), 'manage_options', 'install-sample-data', 'install_sample_data_page' );
	//add_management_page( __('Export Theme Settings', THEME_DOMAIN), __('Export Theme Settings', THEME_DOMAIN), 'manage_options', 'export-theme-settings', 'export_theme_settings_page');
	//add_management_page( __('Import Theme Settings', THEME_DOMAIN), __('Import Theme Settings', THEME_DOMAIN), 'manage_options', 'import-theme-settings', 'import_theme_settings_page');
}

function export_theme_settings_page()
{
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/export.phtml');
}

function import_theme_settings_page()
{
	$message = null;
	
	if(isset($_POST['action']) && $_POST['action'] == 'import_theme_settings')
	{
		$file = $_FILES['theme_settings_file'];
		
		if($file['type'] == 'text/xml')
		{
			$destination_file = get_template_directory() . '/xml/' . $file['name'];
			if(move_uploaded_file ( $file['tmp_name'],  $destination_file))
			{
				import_theme_settings($file['name']);
				unlink($destination_file);
				
				$message = __('File imported.', THEME_DOMAIN);
			}
			else 
			{
				$message = __('Error uploading file. Please try again.', THEME_DOMAIN);
			}
		}
		else 
		{
			$message = __('Invalid file type', THEME_DOMAIN);
		}
	}
	
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/import.phtml');
}

/**
 * Export theme defaults
 */
add_action('wp_ajax_export_theme_settings', 'export_theme_settings');

function export_theme_settings()
{
	$sidebars = get_option('sidebars_widgets');
	$theme_sidebars = array('socialmedia-links', 'footer-1', 'footer-2');
	
	$xml = '<?xml version="1.0" encoding="UTF-8"?>';
	
	/* sidebar and widgets */
	$xml .= '<theme_defaults>';
	$xml .= '<sidebar_widgets>';
	foreach($theme_sidebars as $sidebar)
	{
		$xml .= '<sidebar>';
		$xml .= '<name>' . $sidebar . '</name>';
		$xml .= '<widgets>';
		foreach($sidebars[$sidebar] as $widget)
		{
			$xml .= '<widget>';
			$xml .= '<widget-id>' . $widget . '</widget-id>';
			$id_base = trim( substr( $widget, 0, strrpos( $widget, '-' ) ) );
			$widget_number = trim( substr( $widget, strrpos( $widget, '-' ) + 1 ) );
			
			$xml .= '<id_base>' . $id_base . '</id_base>';
			$xml .= '<widget_number>' . $widget_number . '</widget_number>';
			$widget_settings = get_option('widget_' . $id_base);
			$xml .= '<settings>';
			
			if($widget_settings[$widget_number])
			{
				foreach($widget_settings[$widget_number] as $option=>$value)
				{
					$xml .= "<$option>$value</$option>";
				}
			}
			$xml .= '</settings>';
			$xml .= '</widget>';
		}
		$xml .= '</widgets>';
		$xml .= '</sidebar>';
	}
	$xml .= '</sidebar_widgets>';
	
	/* theme options */
	$theme_options = array('nineteen02_access_token_secret','nineteen02_access_token','nineteen02_consumer_secret','nineteen02_consumer_key','wptheme03', 'nineteen02_display_number_of_tweets','nineteen02_display_username','nineteen02_show_image','nineteen02_display_timestamps','nineteen02_reply_link','nineteen02_retweet_link','nineteen02_favorite_link','nineteen02_follow_button','enable_facebook_like','enable_twitter_button','enable_gplus_button','display_social_button','displaybuttons', 'show_on_front','nineteen02_misc_map','nineteen02_consumer_screen_name');
	
	$xml .= '<theme_options>';
	
	foreach($theme_options as $option)
	{
		$value = get_option($option);
		
		if($option == 'wptheme03')
		{
			$xml .= "<$option>";
			foreach($value as $opt=>$val)
			{
				$xml .= "<$opt>" . htmlentities($val) . "</$opt>";
			}
			$xml .= "</$option>";
		}
		else 
		{
			$xml .= "<$option>" . htmlentities($value) . "</$option>";
		}
	}
	
	$xml .= '</theme_options>';
	$xml .= '</theme_defaults>';
	
	$filename = THEME_DOMAIN . '_' . date('Y-m-d') . '.xml';
	header('Content-disposition: attachment; filename="' . $filename . '"');
	header('Content-type: "text/xml"; charset="utf8"');
	echo $xml;
	die();
}

add_action('wp_ajax_import_theme_settings', 'import_theme_settings');

function import_theme_settings($file)
{
	$file = get_template_directory_uri() . '/xml/' . $file;
	$xml = json_decode(json_encode((array)simplexml_load_file($file)),1);
	
	$sidebar_widgets = get_option('sidebars_widgets');
	$array_version = $sidebar_widgets['array_version'];
	unset($sidebar_widgets['array_version']);
	
	/* update sidebar widgets */
	foreach($xml['sidebar_widgets'] as $sidebars)
	{
		foreach($sidebars as $sidebar)
		{	
			
			if(array_key_exists ( $sidebar['name'] , $sidebar_widgets ))
			{
				if(isset($sidebar['widgets']['widget'][0])) //more than one widget
				{
					foreach($sidebar['widgets']['widget'] as $widget)
					{
						//if(!in_array($widget['widget-id'], $sidebar_widgets[$sidebar['name']]))
						if((!is_null($sidebar_widgets[$sidebar['name']]) && !in_array($widget['widget-id'], $sidebar_widgets[$sidebar['name']])) || is_null($sidebar_widgets[$sidebar['name']]))
						{
							$sidebar_widgets[$sidebar['name']][] = $widget['widget-id'];
							$widget_options = get_option('widget_' . $widget['id_base']); 
							foreach($widget['settings'] as $option=>$value)
							{
								if(is_array($value) && empty($value))
								{
									$widget['settings'][$option] = '';
								}
							}
							$widget_options[$widget['widget_number']] = $widget['settings'];
							update_option('widget_' . $widget['id_base'], $widget_options);
						}
					}
				}
				else // one widget 
				{
					$widget = $sidebar['widgets']['widget'];
					
					
					if((!is_null($sidebar_widgets[$sidebar['name']]) && !in_array($widget['widget-id'], $sidebar_widgets[$sidebar['name']])) || is_null($sidebar_widgets[$sidebar['name']]))
					{
						$sidebar_widgets[$sidebar['name']][] = $widget['widget-id'];
						$widget_options = get_option('widget_' . $widget['id_base']); 
						foreach($widget['settings'] as $option=>$value)
						{
							if(is_array($value) && empty($value))
							{
								$widget['settings'][$option] = '';
							}
						}
						
						$widget_options[$widget['widget_number']] = $widget['settings'];
						update_option('widget_' . $widget['id_base'], $widget_options);
					}
				}
			}
		}
	}
	$sidebar_widgets['array_version'] = $array_version;
	
	update_option('sidebars_widgets', $sidebar_widgets);
	
	/* update theme options */
	foreach($xml['theme_options'] as $name=>$value)
	{
		if(is_array($xml['theme_options'][$name]))
		{
			foreach($xml['theme_options'][$name] as $option=>$val)
			{
				if(is_array($val) && empty($val))
				{
					$xml['theme_options'][$name][$option] = '';
				}
			}
		}
		update_option($name, $value);
	}

}


function install_sample_data_page()
{
	if(isset($_POST['action']) && $_POST['action'] == 'install_sample_data')
	{
		install_sample_data();
	}
	require_once(OPTIONS_ADMIN_DIRECTORY . 'includes/install.phtml');
}

//add_action('after_switch_theme', 'install_sample_data', 10 ,  2);

    function install_sample_data()
{
	create_page('cucinadicasa_front_page_id', __('Homepage', THEME_DOMAIN), '', 'page-templates/front-page.php');
	create_page('cucinadicasa_contactus_page_id', __('Contact Us', THEME_DOMAIN), '', 'page-templates/contactus-template.php');
	create_page('cucinadicasa_inquirysuccess_page_id', __('Inquiry Success', THEME_DOMAIN), __('<h1>You have successfully sent your inquiry.</h1><p>Thank you...We will get you back as soon as we can.</p>', THEME_DOMAIN), 'page-templates/contactus-success.php', get_option('cucinadicasa_contactus_page_id'));
}

function create_page($option, $page_title, $page_content, $template, $page_parent=null)
{
	global $wpdb;

	$option_value = get_option( $option );

	if ( $option_value > 0 && get_post( $option_value ) )
		return;

	if($option == 'cucinadicasa_front_page_id')
	{
		if(get_option('show_on_front') == 'page')
		{
			update_option($option, get_option('page_on_front'));
			return;
		}
	}
	
	$page_id = wp_insert_post(array(
									'post_title'	=> $page_title,
									'post_content'	=> $page_content,
									'post_status'	=> 'publish',
									'post_type'		=> 'page',
									'post_parent'	=> $page_parent
								));
	
	update_post_meta($page_id, '_wp_page_template', $template);
	
	update_option($option, $page_id);
	
	if($option == 'cucinadicasa_front_page_id')
	{
		update_option('page_on_front', $page_id);
		update_option('show_on_front', 'page');
	}
}

