<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to nineteenzerotwo_comment() which is
 * located in the inc/template-tags.php file.
 *
 * @package nineteenzerotwo
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

	<div id="comments" class="comments-area">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
				printf( _nx( '1 comment', '%1$s comments', get_comments_number(), 'comments title', 'nineteenzerotwo' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
		</h2>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'nineteenzerotwo' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'nineteenzerotwo' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'nineteenzerotwo' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // check for comment navigation ?>

		<ol class="comment-list">
			<?php
				/* Loop through and list the comments. Tell wp_list_comments()
				 * to use nineteenzerotwo_comment() to format the comments.
				 * If you want to overload this in a child theme then you can
				 * define nineteenzerotwo_comment() and that will be used instead.
				 * See nineteenzerotwo_comment() in inc/template-tags.php for more.
				 */
				wp_list_comments( array( 'callback' => 'nineteenzerotwo_comment' ) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'nineteenzerotwo' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'nineteenzerotwo' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'nineteenzerotwo' ) ); ?></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // check for comment navigation ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'nineteenzerotwo' ); ?></p>
	<?php endif; ?>

	<?php 

    /*$comment_args = array( 
            'fields' => apply_filters( 'comment_form_default_fields', array(

            'author' => '<div class="input-box">
                            <div class="comment-form-author alignleft span490">' . 
                                 '<label for="author"><em>*</em>'. __( 'Name' ) . ':</label> ' .
                                 '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"/>
                            </div>',
            'email'  =>     '<div class="comment-form-email alignright span490">' .
                                  '<label for="email" class="left"><em>*</em>'. __( 'Email:' ) . '</label>'.     
                                  '<input id="email" name="email" class="alignright" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"/>'.
                            '</div>
                        </div>',
            'url'    => '' ) ),

            'comment_field' => '<div class="input-box">
                                    <div class="textarea-box">' .
                                        '<label for="comment"><em>*</em>' . __( 'Message:' ) . '</label>' .
                                        '<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea>' .
                                    '</div>'.
                                '</div>',
            'comment_notes_after' => '',

    );
    
    comment_form($comment_args); 
    //comment_form();*/
?>
    
    <?php $replytocom = isset($_GET['replytocom']);?>
    
    <h2 class="comment-reply-title">
      <?php if($replytocom):?>
        <?php comment_form_title(); ?>
        <?php else: ?>
        <?php _e('Leave a comment','nineteen02'); ?>
      <?php endif; ?>
      <small class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></small>
    </h2>
    
	
    <?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
  	       <p><?php _e('You must be', CURRENT_THEME); ?> <a href="<?php echo wp_login_url( get_permalink() ); ?>"><?php _e('logged in', CURRENT_THEME); ?></a> <?php _e('to post a comment.', 'nineteen02'); ?></p>
  	<?php else : ?>
  
  	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
        <div class="fullwidth">
          	<?php if ( is_user_logged_in() ) : ?>
          	   <p><?php _e('Logged in as', 'nineteen02'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account', 'nineteen02'); ?>"><?php _e('Log out &raquo;', 'nineteen02'); ?></a></p>
          	<?php else : ?>
          	<div class="span490 alignleft first">
                <label for="author"><?php if ($req) echo "<em>*</em>"; ?><?php _e('Name', 'nineteen02'); ?>:</label>
                <input type="text" name="author" id="author" value="" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> /></p>
            </div>
            <div class="span490 alignright">
                <label for="email" class="alignright"><?php if ($req) echo "<em>*</em>"; ?><?php _e('Email', 'nineteen02'); ?>:</label>
                <input type="text" name="email" id="email" value="" size="22" tabindex="2" class="alignright" <?php if ($req) echo "aria-required='true'"; ?> /></p>
          	    <input type="hidden" name="url" id="url" value="" size="22" tabindex="3" />
           </div>
            <div class="clear"></div>
        	 <?php endif; ?>
        </div>
        <div class="fullwidth">
            <label for="comment" class="alignright"><?php if ($req) echo "<em>*</em>"; ?><?php _e('Message', 'nineteen02'); ?>:</label>
        	  <div class="textarea-box alignright span890"><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></div>
        </div> 	
        <div class="fullwidth button-set alignright">
            <input type="submit" class="button btn-submit alignright" name="submit" id="submit" tabindex="5" value="<?php _e('Submit', 'nineteen02'); ?>" />
            <input type="reset" class="button btn-clear alignright" value="Clear" />
        </div>
        	<?php comment_id_fields(); ?>
        	
        	<?php do_action('comment_form', $post->ID); ?>
       
      	</form>
    <?php endif; // If registration required and not logged in ?>
</div><!-- #comments -->
