<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <main id="main">
 *
 * @package nineteenzerotwo
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width,initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header wrap-center" role="banner">
		<div class="logoDiv">
  			<a class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">	
            <?php //img source will be changed later from setting ?>	
            <?php $logo_url = get_theme_option('logo')?>	    
            <!--img src="<?php //echo get_template_directory_uri()?>/styles/style1/images/img-logo.png" title="<?php //bloginfo( 'name' ); ?>" alt="<?php //bloginfo( 'name' ); ?>"/-->
            <img src="<?php echo $logo_url?>" title="<?php bloginfo( 'name' ); ?>" alt="<?php bloginfo( 'name' ); ?>"/>
        </a>
        <?php if ( is_active_sidebar( 'socialmedia-links' ) ) : ?>
           
                <?php dynamic_sidebar( 'socialmedia-links' ); ?>
            
        <?php endif; ?>
                    
		</div>

		<nav id="site-navigation" class="main-navigation" role="navigation">
		  <div class="menu-toggle"></div>
			<?php wp_nav_menu( array( 'theme_location' => 'primary') ); ?>
			<?php get_search_form(); ?>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->

	<div id="main" class="content wrap-center">
