<?php
/**
 * Template Name: Contact Us Page Template
 */

require_once( get_template_directory() . '/includes/inquiry-init.php' );
	
get_header(); ?>

<div id="primary" class="site-content">

    <div id="content" role="main" class="contactus">
        
        <div class="span490 alignright">
            <div class="map-box"><?php hook_option('nineteen02_misc_map');?></div>
            <div class="misc_detail_box">
                <div class="misc_row">
                    <div class="f_map_txt coyname"><?php hook_option('misc_coyname');?></div>
                </div>
                <div class="misc_row">
                    <div class="img-loc"></div><div class="f_map_txt"><?php hook_option('misc_address');?></div>
                </div>
                <div class="misc_row">
                    <div class="img-phone"></div><div class="f_map_txt"><?php hook_option('misc_telephone');?></div>
                </div>
                <div class="misc_row">
                    <div class="img-url"></div><div class="f_map_txt"><?php hook_option('misc_url');?></div>
                </div>
            </div>
        </div>
        <div class="span490 alignleft">
            <?php while ( have_posts() ) : the_post(); ?>

            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <header class="entry-header" style="margin:0;">
                    <h1 class="entry-title"><?php the_title(); ?></h1>
                </header><!-- .entry-header -->

                <div class="entry-content">
                    <?php the_content(); ?>
                    <form id="contactForm" name="new_post" method="post" action="<?php the_permalink();?>">
                    <p class='error-msg'>Please fill in all the required fields (indicated by *).</p>    

                        <ul class="contactform">
                            <li>
                                <label for="name" class="alignleft"><em>*</em>Name:</label>
                                <div class="input-box alignleft"><input type="text" name="title" id="title" value=""  class="required-validation"/></div>
                            </li>
                            <li>
                                <label for="email" class="alignleft"><em>*</em>Email</label>
                                <div class="input-box alignleft"><input type="text" name="email" id="email" value="" class="required-validation"/></div>
                            </li>
                            <li>
                                <label for="subject" class="alignleft"><em>*</em>Subject:</label>
                                <div class="input-box alignleft"><input type="text" name="subject" id="subject" value="" class="required-validation"/></div>
                            </li>
                            <li>
                                <label for="commentsText" class="alignleft"><em>*</em>Message:</label>
                                <div class="textarea-box alignleft"><textarea name="comments" id="comments" rows="20" cols="30" class="required-validation"></textarea></div>
                            </li>	
                            <li>
                                <div class="button-set alignright">
                                    <input type="submit" class="button btn-submit alignright" name="submit" value="Submit" />
                                    <input type="reset" class="button btn-clear alignright" value="Clear" />
                                </div>
                            </li>
                        </ul>
                          
                      	<input type="hidden" name="action" value="new_post" />
                      	<input type="hidden" name="success" value="" />
                      	<?php wp_nonce_field( 'new-post' ); ?>

                    </form>
                </div><!-- .entry-content -->
                <?php edit_post_link(   __( 'Edit', 'nineteenzerotwo' ), '<span class="edit-link">', '</span>' ); ?>
            </article><!-- #post-## -->
            <?php endwhile; // end of the loop. ?>
        </div>
        <div class="clear"></div>
    </div><!-- #content -->
</div><!-- #primary -->
<?php get_footer(); ?>





